Bug 470136 - Text only boot with bootchart active
Text only boot with bootchart active
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Target
  Show dependency treegraph
 
Reported: 2008-11-05 16:42 EST by Gianluca Sforna
Modified: 2010-02-16 13:39 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-13 11:55:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 22180 None None None Never

  None (edit)
Description Gianluca Sforna 2008-11-05 16:42:41 EST
Description of problem:
When I tried to use bootchart to profile the boot process the usual graphical boot is absent, replaced by a simpler text console boot.

Version-Release number of selected component (if applicable):
bootchart-0.9-9.fc9.i386
plymouth-0.6.0-0.2008.10.30.2.fc10.i386

How reproducible:
always

Steps to Reproduce:
1. install bootchart on a system with a working graphical boot
2. reboot
Comment 1 Ray Strode [halfline] 2008-11-11 11:07:26 EST
So the situation here is that bootchart works by setting

init=/bin/bootchart

or some such.  Plymouth reads init=blah as "the user is trying to get a rescue shell".  We probably need to add a new option to say "force default splash" and then get bootchart updated to use that option.
Comment 2 Ray Strode [halfline] 2008-11-11 11:08:00 EST
Won't get this done for F10 GA.
Comment 3 Bug Zapper 2008-11-25 23:50:08 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Jon Stanley 2008-11-26 14:13:36 EST
Fixing version to align with rawhide again.  Sorry for the noise.
Comment 5 Bug Zapper 2009-06-09 05:51:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Ray Strode [halfline] 2009-10-13 11:55:23 EDT
This is about to be fixed in master now..will be rolling into rawhide at some point.
Comment 7 Brian Pitts 2010-02-16 13:39:36 EST
This behaviour is still present in up to date Fedora 12. When I Install bootchart, the graphical plytmouth theme stops displaying.

Note You need to log in before you can comment on or make changes to this bug.